module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.1,
		},
		[3]={args={},func_name=[[MagcAnimStart]],start_time=0.38,},
		[4]={args={},func_name=[[MagcAnimEnd]],start_time=1.05,},
		[5]={
			args={
				alive_time=2.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_511/Prefabs/511_attack2_1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.35,
		},
		[6]={
			args={
				alive_time=4,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_511/Prefabs/511_attack2_2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.35,
		},
		[7]={
			args={
				alive_time=3,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_511/Prefabs/511_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=1.5,
		},
		[8]={
			args={action_name=[[hit1]],excutor=[[vicobjs]],},
			func_name=[[PlayAction]],
			start_time=1.5,
		},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=1.7,
		},
		[10]={
			args={action_name=[[hit1]],excutor=[[vicobjs]],},
			func_name=[[PlayAction]],
			start_time=1.8,
		},
		[11]={
			args={action_name=[[hit1]],excutor=[[vicobjs]],},
			func_name=[[PlayAction]],
			start_time=2.1,
		},
		[12]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=2.5,
		},
		[13]={args={},func_name=[[End]],start_time=3,},
	},
	group_cmds={},
	magic_anim_end_time=1.05,
	magic_anim_start_time=0.38,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_511/Prefabs/511_attack2_1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_511/Prefabs/511_attack2_2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_511/Prefabs/511_hit2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
